# stl_multiset.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_multiset.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _MULTISET_H

## Functions

- template<class _Key, class _Compare, class _Alloc> bool operator!= (const multiset< _Key, _Compare, _Alloc > &__x, const multiset< _Key, _Compare, _Alloc > &__y)
- template<class _Key, class _Compare, class _Alloc> bool operator< (const multiset< _Key, _Compare, _Alloc > &__x, const multiset< _Key, _Compare, _Alloc > &__y)
- template<class _Key, class _Compare, class _Alloc> bool operator<= (const multiset< _Key, _Compare, _Alloc > &__x, const multiset< _Key, _Compare, _Alloc > &__y)
- template<class _Key, class _Compare, class _Alloc> bool operator== (const multiset< _Key, _Compare, _Alloc > &__x, const multiset< _Key, _Compare, _Alloc > &__y)
- template<class _Key, class _Compare, class _Alloc> bool operator> (const multiset< _Key, _Compare, _Alloc > &__x, const multiset< _Key, _Compare, _Alloc > &__y)
- template<class _Key, class _Compare, class _Alloc> bool operator>= (const multiset< _Key, _Compare, _Alloc > &__x, const multiset< _Key, _Compare, _Alloc > &__y)
- template<class _Key, class _Compare, class _Alloc> void swap (multiset< _Key, _Compare, _Alloc > &__x, multiset< _Key, _Compare, _Alloc > &__y)

## Function Documentation

bool std::operator!= | ( | const multiset< _Key, _Compare, _Alloc > & | __x,
|  | const multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Returns !(x == y). Definition at line 551 of file stl_multiset.h.

bool operator< | ( | const multiset< _Key, _Compare, _Alloc > & | __x,
|  | const multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

Multiset ordering relation.

Parameters:

  | x | A multiset.
  | y | A multiset of the same type as x.

Returns:
  True iff x is lexicographically less than y.

This is a total ordering relation. It is linear in the size of the maps. The elements must be comparable with `<`.

See std::lexicographical_compare() for how the determination is made.

Definition at line 544 of file stl_multiset.h.

bool std::operator<= | ( | const multiset< _Key, _Compare, _Alloc > & | __x,
|  | const multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Returns !(y < x). Definition at line 565 of file stl_multiset.h.

bool operator== | ( | const multiset< _Key, _Compare, _Alloc > & | __x,
|  | const multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

Multiset equality comparison.

Parameters:

  | x | A multiset.
  | y | A multiset of the same type as x.

Returns:
  True iff the size and elements of the multisets are equal.

This is an equivalence relation. It is linear in the size of the multisets. Multisets are considered equivalent if their sizes are equal, and if corresponding elements compare equal.

Definition at line 527 of file stl_multiset.h.

References multiset::_M_t.

bool std::operator> | ( | const multiset< _Key, _Compare, _Alloc > & | __x,
|  | const multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Returns y < x. Definition at line 558 of file stl_multiset.h.

bool std::operator>= | ( | const multiset< _Key, _Compare, _Alloc > & | __x,
|  | const multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

| Returns !(x < y). Definition at line 572 of file stl_multiset.h.

void std::swap | ( | multiset< _Key, _Compare, _Alloc > & | __x,
|  | multiset< _Key, _Compare, _Alloc > & | __y
| ) | `[inline]`

| See std::multiset::swap(). Definition at line 579 of file stl_multiset.h. References multiset::swap().